import { declare } from '@babel/helper-plugin-utils';
import { createClassFeaturePlugin, FEATURES } from '@babel/helper-create-class-features-plugin';

var index = declare((api, options) => {
  api.assertVersion(7);
  return createClassFeaturePlugin({
    name: "transform-private-methods",
    api,
    feature: FEATURES.privateMethods,
    loose: options.loose,
    manipulateOptions(opts, parserOpts) {
      parserOpts.plugins.push("classPrivateMethods");
    }
  });
});

export { index as default };
//# sourceMappingURL=index.js.map
